Ignore:
Timestamp:
Jan 5, 2006, 6:40:56 AM (15 years ago)
Author:
olegb
Message:

Bug:
Submitted by:
Reviewed by:
Approved by:
Obtained from:

Add

  • New target: "dependents"
  • New switch: "-R" for upgrading dependents
  • Make upgrade look up force for forcefully upgrading (or re-installing)
  • Documenting the above in port.1
File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/base/src/port/port.1

    r15665 r15691  
    3737.Sh SYNOPSIS
    3838.Nm
    39 .Op Fl vdqfonusbckt
     39.Op Fl vdqfonRusbckt
    4040.Op Fl D Ar portdir
    4141.Ar action
     
    201201.It Fl n
    202202dont follow dependencies in upgrade (only for upgrading)
     203.It Fl R
     204also upgrade dependents (only for upgrading)
    203205.It Fl u
    204206uninstall non-active ports when upgrading and uninstalling
     
    237239Lists the other ports that are required to build and run
    238240.Ar portname .
     241.Ss dependents
     242Lists the ports that depend on the port
     243.Ar portname .
    239244.Ss install
    240245Install and activate
     
    286291.Pp
    287292.Dl "port upgrade installed"
     293.Pp
     294To upgrade
     295.Ar portname
     296and the ports that depend on it:
     297.Pp
     298.Dl "port -R upgrade libiconv"
     299.Pp
     300To force an upgrade (rebuild) use:
     301.Pp
     302.Dl "port -f upgrade vim"
    288303.Pp
    289304To upgrade
Note: See TracChangeset for help on using the changeset viewer.